import request from '@/utils/request'

// 查询功能房列表
export function listRoom(query) {
  return request({
    url: '/staff/room/list',
    method: 'get',
    params: query,
  })
}

// 查询功能房详细
export function getRoom(id) {
  return request({
    url: '/staff/room/' + id,
    method: 'get'
  })
}

export function selectRtFuReservationTime(query) {
  return request({
    url: '/staff/roomReservation/getRoomByRoomNoAndTime',
    method: 'get',
	params: query,
  })
}


// 修改一站式社区-功能房-预约记录
export function updateRoomReservation(data) {
  return request({
    url: '/staff/roomReservation/update',
    method: 'post',
    data: data
  })
}

// 新增一站式社区-功能房-预约记录
export function addRoomReservation(data) {
  return request({
    url: '/staff/roomReservation/add',
    method: 'post',
    data: data
  })
}


// 删除功能房
export function delRoom(id) {
  return request({
    url: '/routine/room/' + id,
    method: 'post'
  })
}


//查询行政架构下部门数据
// 查询部门详细
export function getXZJGDept(deptId) {
  return request({
    url: '/system/dept/getXZJGDept',
    method: 'get'
  })
}
